# Get notes

## Credit and Debit Notes Endpoint

> Access comprehensive details pertaining to all Credit and Debit Notes within a specified time frame.

```json
{"openapi":"3.0.0","info":{"title":"Reconciliation API - Credit and Debit Notes Endpoint","version":"1.0.0"},"servers":[{"url":"https://merchants-api.onekeypayments.com/v1","description":"Production Server"},{"url":"https://merchants-api-stg.onekeypayments.com/v1","description":"Staging Server"}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"BEARER_TOKEN"}},"schemas":{"PaginatedNotes":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Note"}}}}]},"Pagination":{"type":"object","properties":{"page":{"type":"integer"},"rows":{"type":"integer"},"maxRows":{"type":"integer"}}},"Note":{"type":"object","properties":{"id":{"type":"integer"},"externalId":{"type":"string"},"idMerchant":{"type":"integer"},"merchantName":{"type":"string"},"date":{"type":"string","format":"date-time"},"amount":{"type":"number","format":"float"},"currency":{"type":"string"},"type":{"type":"string"},"description":{"type":"string"},"category":{"type":"string"}}}}},"paths":{"/notes":{"get":{"summary":"Credit and Debit Notes Endpoint","description":"Access comprehensive details pertaining to all Credit and Debit Notes within a specified time frame.","operationId":"getNotes","tags":["Transactions"],"parameters":[{"name":"from","in":"query","description":"Transaction creation date interval in Unix TimeStamp format.","schema":{"type":"integer"}},{"name":"to","in":"query","description":"Transaction creation date interval in UnixTimeStamp format, max difference with 'from' value 60 days.","schema":{"type":"integer"}},{"name":"page","in":"query","description":"The page number.","schema":{"type":"integer","default":0}},{"name":"type","in":"query","description":"Credit/debit note types.","schema":{"type":"string","enum":["GENERIC_CREDIT_NOTE","SERVICE_FEE_CREDIT_NOTE","CHARGEBACK_COVERED_CREDIT_NOTE","GENERIC_DEBIT_NOTE","REFUND","REFUND_PROCESSING_FEE","CASHOUT_TRANSACTION","CASHOUT_PROCESSING_FEE","CHARGEBACK","CHARGEBACK_PROCESSING_FEE","SERVICE_FEE_DEBIT_NOTE"]}}],"responses":{"200":{"description":"A paginated list of credit and debit notes.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedNotes"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/api-reference/reconciliation-api/retrieve-information/get-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
